curl -X PATCH https://api.crewship.dev/v1/tables/tbl_abc123xyz789/rows \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"filter": {
"and": [
{"column": "status", "operator": "eq", "value": "new"}
]
},
"update": {
"status": "qualified"
}
}'
{
"updated": 18
}
Tables
Bulk Update Rows
Update all rows matching a filter
PATCH
/
v1
/
tables
/
{id}
/
rows
curl -X PATCH https://api.crewship.dev/v1/tables/tbl_abc123xyz789/rows \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"filter": {
"and": [
{"column": "status", "operator": "eq", "value": "new"}
]
},
"update": {
"status": "qualified"
}
}'
{
"updated": 18
}
Path Parameters
string
required
Table ID
Request
object
required
Filter expression selecting rows to update
object
required
Column values to apply to all matched rows
Response
number
Number of rows updated
curl -X PATCH https://api.crewship.dev/v1/tables/tbl_abc123xyz789/rows \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"filter": {
"and": [
{"column": "status", "operator": "eq", "value": "new"}
]
},
"update": {
"status": "qualified"
}
}'
{
"updated": 18
}